%define major 1.4.0
%define libname %mklibname ois %{major}
%define develname %mklibname ois -d

Summary:	Object Oriented Input System
Name:		ois
Version:	1.4
Release:	%mkrel 4
License:	zlib
Group:		System/Libraries
URL:		https://wgois.github.io/OIS/
Source0:	https://github.com/wgois/OIS/archive/v%{version}/OIS-%{version}.tar.gz
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw7)

%description
Object Oriented Input System (OIS) is meant to be a cross platform,
simple solution for using all kinds of Input Devices
(KeyBoards, Mice, Joysticks, etc) and feedback devices
(e.g. forcefeedback).

%package -n %{libname}
Summary:	An OIS library
Group:		System/Libraries

%description -n %{libname}
Object Oriented Input System (OIS) is meant to be a cross platform,
simple solution for using all kinds of Input Devices
(KeyBoards, Mice, Joysticks, etc) and feedback devices
(e.g. forcefeedback).

%package -n %{develname}
Summary:	Development tools for programs using %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}OIS-devel < 1.4

%description -n	%{develname}
This package contains the header files and libraries needed for
developing programs using the %{name} library.

%prep
%setup -qn OIS-%{version}
%autopatch -p1

# make autoreconf happy
sed -i -e 's,\(AM_INIT_AUTOMAKE(\[\),\1foreign ,' configure.ac

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc README.md
%{_libdir}/libOIS-%{major}.so

%files -n %{develname}
%{_includedir}/ois/
%{_libdir}/libOIS.so
%{_libdir}/pkgconfig/OIS.pc


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 1.4-4.mga9
+ Revision: 1835920
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.4-3.mga8
+ Revision: 1515685
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.4-2.mga7
+ Revision: 1299965
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 1.4-1.mga7
+ Revision: 1234291
- new version 1.4
- update url
- use lower case pkg names

* Fri Feb 12 2016 umeabot <umeabot> 1.3-9.mga6
+ Revision: 956510
- Mageia 6 Mass Rebuild

* Sat Aug 22 2015 akien <akien> 1.3-8.mga6
+ Revision: 868036
- Rebuild for gcc 5.2.1

* Wed Oct 15 2014 umeabot <umeabot> 1.3-7.mga5
+ Revision: 742548
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-6.mga5
+ Revision: 683170
- Mageia 5 Mass Rebuild
+ wally <wally>
- disable static build and drop .la

* Fri Oct 18 2013 umeabot <umeabot> 1.3-5.mga4
+ Revision: 508620
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3-4.mga3
+ Revision: 361823
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 rtp <rtp> 1.3-3.mga3
+ Revision: 336146
- change AM_CONFIG_HEADERS into AC_CONFIG_HEADERS
- fix build

* Sat Oct 01 2011 supp <supp> 1.3-2.mga2
+ Revision: 150708
- replace incorrect spec macro
- rebuild for cauldron/2

* Sun Feb 27 2011 supp <supp> 1.3-1.mga1
+ Revision: 61253
- imported package ois

